seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/10/22, 00:21:13


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Flatpak in siduction 18.3  (Read 940 times)

0 Members and 1 Guest are viewing this topic.

Offline dlocklear01

  • Newbie
  • Posts: 4
Flatpak in siduction 18.3
« on: 2018/05/30, 18:55:15 »
Hello siducers,  My name is David Locklear, and I live near Arcola, Texas USA.   I just installed 18.3 LXQt on an Intel i5-3400.    It is now my only operating system.    I have run dist-upgrade.     I am trying to install flatpaks.    I am having an issue with flatpak installation.    It says it "can't creat temporary directory."     Some flatpaks have installed and are shown on the menu, but they will not launch.   If I run them from terminal, they launch but there are dbus errors in the terminal.


I had great difficulty getting the installer to launch, but after 5 reboots, the installer launched.      I would have liked to have had an iso that did not require so much updates.    I have removed Firefox, LibreOffice and Gimp, because I plan to install them via flatpak.   But I get error message.


I do not speak German, but willing to use translator and learn a few words.       I have less than 2 years experience with Linux, 3 months of which was with SparkyLinux 4.8 ( Debian 9.4 ).       I have never used Sid before, but may have tinkered with it in AntiX.

Offline Kan

  • User
  • Posts: 40
Re: Flatpak in siduction 18.3
« Reply #1 on: 2018/05/30, 22:20:52 »
Hello David,
Welcome to Siduction! I just want to add, I am having the same exact issue with flatpak, always getting the "error: Can't create temporary directory."

I even followed Devil's Flatpack post thinking I forgot to install something, but still getting the same error.
Glad I am not the only one.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.367
Re: Flatpak in siduction 18.3
« Reply #2 on: 2018/05/30, 22:24:11 »
I am on vacation, will look into it when I get back, if still unsolved.

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.756
    • g-com.eu
Re: Flatpak in siduction 18.3
« Reply #3 on: 2018/05/31, 01:00:49 »
https://github.com/flatpak/flatpak/blob/master/common/flatpak-dir.c#L945-L950
Code: [Select]
  path = g_strdup ("/var/tmp/flatpak-cache-XXXXXX");

  if (g_mkdtemp_full (path, 0755) == NULL)
    {
      flatpak_fail (error, "Can't create temporary directory");
      return NULL;
    }

so please check the rights of directory and the directory path
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.756
    • g-com.eu
Re: Flatpak in siduction 18.3
« Reply #4 on: 2018/05/31, 01:19:48 »
hmm - should work out of the box - at least i noticed a policykit window popping up - might be that some settings are needed to be able to elevate the rights for the user. There are two choices i would test: sudo and pkexec - as far as i remember i only installed flatpak and was done with. ok, i'm in sudoers.d.

Code: [Select]
agaida@ramme ~ % flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo                                                                                       
agaida@ramme ~ % flatpak remotes                                                                                       
Name                   Options           
flathub                system             
gnome                  system             
org.tabos.roger-origin system,no-enumerate


1 agaida@ramme ~ % flatpak install flathub org.kde.krita                                                                                                                                          :(
Erforderliche Laufzeit für org.kde.krita/x86_64/stable (org.kde.Platform/x86_64/5.10) ist nicht installiert. Suche läuft …
Found in remote flathub, do you want to install it? [y/n]: y
Installieren: org.kde.Platform/x86_64/5.10 von flathub
[####################] 12 delta parts, 63 loose fetched; 305501 KiB transferred in 19 seconds
Installieren: org.freedesktop.Platform.GL.nvidia-390-59/x86_64/1.4 von flathub
[####################] Downloading: 47,7 MB/47,7 MB (15,9 MB/s)
Installieren: org.freedesktop.Platform.ffmpeg/x86_64/1.6 von flathub
[####################] 1 delta parts, 2 loose fetched; 2649 KiB transferred in 0 seconds
Installieren: org.kde.KStyle.Adwaita/x86_64/5.10 von flathub
[####################] 1 delta parts, 2 loose fetched; 351 KiB transferred in 0 seconds
Installieren: org.kde.Platform.Locale/x86_64/5.10 von flathub
[####################] 5 delta parts, 128 loose fetched; 100454 KiB transferred in 6 seconds
Installieren: org.kde.krita/x86_64/stable von flathub
[####################] 3 delta parts, 30 loose fetched; 95465 KiB transferred in 5 seconds
Installieren: org.kde.krita.Locale/x86_64/stable von flathub
[####################] 1 delta parts, 1 loose fetched; 2046 KiB transferred in 0 seconds
flatpak install flathub org.kde.krita  40,24s user 13,07s system 45% cpu 1:56,61 total

So it should not be rocket science. But i might be mistaken and will test it with a fresh LXQt build in kvm

Last but not least run the program
Code: [Select]
1 agaida@ramme ~ % flatpak run org.kde.krita                                                                                                                                                     
Setting XDG_DATA_DIRS "/app/bin/../share:/app/share:/usr/share:/usr/share/runtime/share:/run/host/share"
Override language: ""
OpenGL Info
  Vendor:  VMware, Inc.
  Renderer:  "llvmpipe (LLVM 6.0, 128 bits)"
  Version:  "3.0 Mesa 18.0.2"
  Shading language:  1.30
  Requested format:  QSurfaceFormat(version 3.0, options QFlags<QSurfaceFormat::FormatOption>(DeprecatedFunctions), depthBufferSize 24, redBufferSize -1, greenBufferSize -1, blueBufferSize -1, alphaBufferSize -1, stencilBufferSize 8, samples -1, swapBehavior QSurfaceFormat::SwapBehavior(DoubleBuffer), swapInterval 0, colorSpace QSurfaceFormat::ColorSpace(DefaultColorSpace), profile  QSurfaceFormat::OpenGLContextProfile(CompatibilityProfile))
  Current format:    QSurfaceFormat(version 3.0, options QFlags<QSurfaceFormat::FormatOption>(DeprecatedFunctions), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 0, stencilBufferSize 8, samples -1, swapBehavior QSurfaceFormat::SwapBehavior(DoubleBuffer), swapInterval 0, colorSpace QSurfaceFormat::ColorSpace(DefaultColorSpace), profile  QSurfaceFormat::OpenGLContextProfile(NoProfile))
     Version: 3.0
     Supports deprecated functions true
     is OpenGL ES: false
krita has opengl true
Available translations QSet("bg", "oc", "mk", "hu", "nl", "ko", "be", "ru", "th", "da", "ia", "sl", "en_US", "gl", "pt_BR", "sk", "ro", "cs", "ms", "ca@valencia", "it", "eo", "el", "kk", "tg", "bs", "nb", "sv", "ast", "cy", "lv", "fa", "pt", "uz", "zh_CN", "es", "tr", "pl", "fi", "br", "ga", "de", "ca", "vi", "xh", "hne", "fy", "he", "en_GB", "ug", "sq", "mai", "wa", "pa", "ar", "mr", "se", "fr", "ja", "ta", "hi", "et", "lt", "is", "eu", "uk", "uz@cyrillic", "zh_TW", "hr", "af", "km", "nds", "ne", "nn")
Available domain translations QSet("bg", "oc", "mk", "hu", "nl", "ko", "be", "ru", "th", "da", "ia", "sl", "en_US", "gl", "pt_BR", "sk", "ro", "cs", "ms", "ca@valencia", "it", "eo", "el", "kk", "tg", "bs", "nb", "sv", "ast", "cy", "lv", "fa", "pt", "uz", "zh_CN", "es", "tr", "pl", "fi", "br", "ga", "de", "ca", "vi", "xh", "hne", "fy", "he", "en_GB", "ug", "sq", "mai", "wa", "pa", "ar", "mr", "se", "fr", "ja", "ta", "hi", "et", "lt", "is", "eu", "uk", "uz@cyrillic", "zh_TW", "hr", "af", "km", "nds", "ne", "nn")
Qt UI languages ("de-DE") "de_DE.utf8"
input profiles were read from ' /app/share/krita/input '.
Loading Python plugin
Python::setPath. Script paths: ("/home/agaida/.var/app/org.kde.krita/data/krita/", "/app/share/krita/", "/home/agaida/.var/app/org.kde.krita/data/krita/pykrita/", "/app/share/krita/pykrita/", "/app/share/pykrita/") false
pythonLibsPath (krita-python-libs) "/app/lib/krita-python-libs"
Found krita-python-libs at "/app/lib/krita-python-libs"
pythonLibsPath (sip) ""
Setting python paths: "/home/agaida/.var/app/org.kde.krita/data/krita/:/app/share/krita/:/home/agaida/.var/app/org.kde.krita/data/krita/pykrita/:/app/share/krita/pykrita/:/app/share/pykrita/:/app/lib/krita-python-libs:/app/lib/python3/dist-packages"
/app/lib/krita-python-libs/krita added to PYTHONPATH
Button KoToolBoxButton(0xc1663f0, name="SvgTextTool") has a conflicting priority
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Regular")
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Bold")
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Regular")
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Regular")
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Regular")
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Light")
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Regular")
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/edit-clear
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/zoom-in
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/opacity-decrease
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/opacity-increase
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/lightness-increase
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/lightness-decrease
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/rotate-canvas-left
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/rotation-reset
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/rotate-canvas-right
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/zoom-out
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/brushsize-decrease
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/brushsize-increase
file:///app/lib/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/preset-switcher
QXcbConnection: XCB error: 3 (BadWindow), sequence: 1174, resource id: 5236348, major code: 40 (TranslateCoords), minor code: 0
agaida@ramme ~ %
So - seems to work.
« Last Edit: 2018/05/31, 01:24:14 by melmarker »
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline Kan

  • User
  • Posts: 40
Re: Flatpak in siduction 18.3
« Reply #5 on: 2018/05/31, 03:11:52 »
Just to add, if it makes a difference, I am using the Gnome desktop and the error doesn't occur when installing Flatpak itself, but when you try and install a flatpak application. I was trying to add Bookworm (as one example.)
flatpak install --from https://flathub.org/repo/appstream/com.github.babluboy.bookworm.flatpakref

Offline dlocklear01

  • Newbie
  • Posts: 4
Re: Flatpak in siduction 18.3
« Reply #6 on: 2018/06/02, 03:22:17 »
Thank you, melmarker.


How do I check the rights directory and change the directory path ?




Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.756
    • g-com.eu
Re: Flatpak in siduction 18.3
« Reply #7 on: 2018/06/02, 13:42:13 »
Did a bit of research - and wrote it to #siduction:
Code: [Select]
2018-06-02  09:39:49 -*- agaida think - although the flatpak approach is crap and the hype about is kind of mis-guided - it works fine
2018-06-02  09:40:18 <agaida> McFrolicker: if not installed yet: apt install libflatpak0
2018-06-02  09:40:48 <agaida> and please do yourself a favour - install the needed sources and packages local afterwards
2018-06-02  09:40:52 <agaida> as in
2018-06-02  09:42:12 <agaida> flatpak --user remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
2018-06-02  09:42:16 <agaida>  flatpak --user install flathub org.kde.krita
2018-06-02  09:42:31 <agaida> flatpak run org.kde.krita
2018-06-02  09:43:29 <agaida> libflackpak0 is the missed deployment package - and it is not a debendency for flakpak itself - for whatever reason
2018-06-02  09:44:25 <agaida> i'm not much into this desktop containers thing - so if you think thats a bug in debian file a bug against flatpak
2018-06-02  09:44:37 <agaida> aka reportbug flatpak
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)